import React from 'react';
import PandaDeviceTree from '../index';
import { service } from '@wisdom-utils/utils';

const REQUEST_HTTP = 'http';
const REQUEST_METHOD_GET = 'post';

const GET_SKETCHPAD_LIST =
  'https://www.fastmock.site/mock/162c15dca15c4dba9ba51e0a0b76929b/api/Publish/Monitor/Device/DeviceTree'; //获取设备树列表

const deviceTreeService = {
  getDeviceTreeList: {
    url: GET_SKETCHPAD_LIST,
    method: REQUEST_METHOD_GET,
    type: REQUEST_HTTP,
  },
};

const dtService = service(deviceTreeService);

const getDeviceTreeList = dtService.getDeviceTreeList;

const Demo = () => {
  const onTreeCheck = (checkedKeysValue) => {
    console.log('onTreeCheck', checkedKeysValue);
  };

  const onTreeSelect = (selectedKeysValue) => {
    console.log('onTreeSelect', selectedKeysValue);
  };

  return (
    <div style={{ width: '200px', height: '400px', border: '1px solid #eee' }}>
      <PandaDeviceTree
        checkable
        onTreeCheck={onTreeCheck}
        onTreeSelect={onTreeSelect}
        deviceTreeService={getDeviceTreeList}
        serviceParams={
          {
            // pageIndex: 1,
            // pageSize: 20,
            // deviceTypes: '二供泵房,二供机组',
            // getChild: true,
            // userID: 1,
            // queryInfo: '',
            // sortFields: '',
            // direction: '',
            // isTop: true,
          }
        }
      />
    </div>
  );
};

export default Demo;
